> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omnichar.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Test a URL before adding it



## OpenAPI

````yaml /api/openapi.json post /v1/teams/{id}/webhooks/test-url
openapi: 3.1.0
info:
  title: Omnichar API
  version: 0.1.0
  description: Characters, licenses, public license verification and signed webhooks.
servers:
  - url: https://api.omnichar.org
security:
  - bearer: []
paths:
  /v1/teams/{id}/webhooks/test-url:
    post:
      tags:
        - Webhooks
      summary: Test a URL before adding it
      parameters:
        - schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          in: path
          name: id
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                env:
                  type: string
                  enum:
                    - production
                    - sandbox
                url:
                  type: string
                  maxLength: 2048
                  format: uri
                auth:
                  default:
                    type: none
                  oneOf:
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - none
                      required:
                        - type
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - bearer
                        token:
                          type: string
                          minLength: 1
                          maxLength: 2000
                      required:
                        - type
                        - token
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - basic
                        username:
                          type: string
                          minLength: 1
                          maxLength: 200
                        password:
                          type: string
                          minLength: 1
                          maxLength: 500
                      required:
                        - type
                        - username
                        - password
                    - type: object
                      properties:
                        type:
                          type: string
                          enum:
                            - header
                        name:
                          type: string
                          minLength: 1
                          maxLength: 64
                        value:
                          type: string
                          minLength: 1
                          maxLength: 2000
                      required:
                        - type
                        - name
                        - value
                type:
                  default: char.ready
                  type: string
                  enum:
                    - char.ready
                    - char.failed
                    - char.updated
                    - license.issued
                    - license.revoked
                    - license.expired
                    - license.updated
                    - license.redeemed
                    - usage.generated
                    - usage.blocked
              required:
                - url
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  ok:
                    type: boolean
                  response_code:
                    anyOf:
                      - type: integer
                        minimum: -9007199254740991
                        maximum: 9007199254740991
                      - type: 'null'
                  response_ms:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  body:
                    type: string
                  error:
                    type:
                      - string
                      - 'null'
                  error_kind:
                    anyOf:
                      - type: string
                        enum:
                          - timeout
                          - tls
                          - unreachable
                          - connection
                          - http
                      - type: 'null'
                required:
                  - ok
                  - response_code
                  - response_ms
                  - body
                  - error
                  - error_kind
                additionalProperties: false
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: 'A team key: sk_test_ for sandbox, sk_live_ for production.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.